import request from '@/utils/request'

// 查询企业基础信息列表
export function listFirmInfo(query) {
  return request({
    url: '/system/firmInfo/list',
    method: 'get',
    params: query
  })
}

// 查询企业基础信息详细
export function getFirmInfo(id) {
  return request({
    url: '/system/firmInfo/' + id,
    method: 'get'
  })
}

// 新增企业基础信息
export function addFirmInfo(data) {
  return request({
    url: '/system/firmInfo',
    method: 'post',
    data: data
  })
}

// 修改企业基础信息
export function updateFirmInfo(data) {
  return request({
    url: '/system/firmInfo',
    method: 'put',
    data: data
  })
}

// 删除企业基础信息
export function delFirmInfo(id) {
  return request({
    url: '/system/firmInfo/' + id,
    method: 'delete'
  })
}
